El Adobe Flash Plugin dejará de funcionar en Chromium en Abril

 

Así a secas. Ya en setiembre anunciaron que tanto Chrome como Chromium le darán el adiós al soporte de Netscape Plugin APIs (NPAPI) para cuando acabe el 2014 y se dedicarán a soportar las Pepper Plugin APIs (PPAPI). Pero ahora se adelantarán para el caso de Linux. En abril, Chromium abandonará las NPAPIs (entre ellas el Adobe Flash Plugin).

Ahora, ¿Por qué tanto apuro en Linux y no en Windows o Mac OS? Porque Chrome y Chromium 34 (que lo esperan para abril) en Linux va a venir con Aura, el stack gráfico que usan en Chrome OS y que lo llevarán a los otros sistemas operativos. No utiliza widgets nativos, cuenta con aceleración gráfica cuando está disponible y lo más importante: “dibuja” cada bit del navegador virtualmente, sin necesidad de usar GTK+ o Win32, lo cual significará una mayor unificación de su código base y la posibilidad de que su interfaz sea en verdad multi-plataforma. Con esto, Google llega a deshacerse un monton de APIs depreciadas, entre ellas las NPAPIs.

Y………..¿que alternativas tendrán los usuarios de Chromium en Linux? Dos nada más. O instalar el Pepper Flash del Chrome, lo cual implica bajarse el Chrome, descomprimirlo, extraer el flash, colocarlo en /opt y borrar el chrome (no sólo hay un script para eso, sino que ya hay distros que empaquetan ese script. Ubuntu lo tiene en su Software Center, Arch lo tiene en el AUR y Debian lo incluye en sus repos contrib)…………… o no instalarlo y limitarse a usar lo que haya de HTML5.

Ah, y para los que usen Firefox, esto no les va a afectar porque sólo afecta a Chromium y sus derivados. Ya para Firefox 28 o 29 se espera Shumway. Yo ayer lo probé descargando la extensión, y va muy bien pero aún le falta.


Categorías

Noticias

Ingeniero, tertuliante, polémico. Feliz usuario de Calculate con Kde.

42 comentarios

  1.   pandev92 dijo

    Firefox en gtk3 se viene muy pronto y ahí también dejará de funcionar flash player, el cual depende de gtk2.

    1.    diazepan dijo

      Si, para cuando llegue Firefox 29
      http://worldofgnome.org/are-we-flash-yet-mozilla-shumway/

      1.    pandev92 dijo

        Habrá que ver si para esa época siquiera será capaz de reproducir el porn….. :/, sino no le veo futuro.

        1.    diazepan dijo

          Hace 2 días lo probé con una página así…………………no hay caso, los webmasters son unos pajeros (tutumpaf)

          1.    gato dijo

            Lo estaba probando hace un rato y prácticamente solo funciona con su propia página.

          2.    eliotime3000 dijo

            @gato:

            La verdad es que sí se ve prometedor, pero mejor espero a que salga la versión final y lo porten para Chromium y Opera Blink.

          3.    gato dijo

            Lo veo difícil, por lo que se ve la cosa en un futuro los navegadores se irán alejando cada vez más de las herramientas de Adobe e irán incluyendo sus propias alternativas, ya sucedió con Adobe Reader y ahora viene siendo hora de erradicar lo que en mi opinión es uno de los cánceres de internet: Flash Player, aunque como ya sucedió con PDF.js que saltó de Firefox a Chromium/Chrome nunca se pierde la posibilidad.

          4.    gato dijo

            Acabo de encontrar un hilo al respecto de lo de Shumway para Chrome: https://github.com/mozilla/shumway/issues/834

  2.   Fedoriano dijo

    Vaya, ahora que lo tienen a huevo para pasarse a QT y va y lo quieren pasar GTK3, para que así se vea peor aún en KDE.

    Ainssss, a ver si un día les da por arreglar ese defecto que separa a Firefox de la perfección.

    1.    Rainbow_fly dijo

      No todos son fanaticos de KDE y QT, y teniendo en cuenta que la mayoria de entornos de escritorio hoy dia se basan en GTK, me parece mas logico pasar firefox a GTK3 que a QT para “cubrir a la mayoria” de entornos

      1.    pandev92 dijo

        La mayoria de entornos que entre todos ellos hacen la cuota de kde…, si!, y ahora con unity pasandose a qt también, la quota de las qt llegará a más del 60 %.Tomando en cuenta que chrome va a usar aura y dejará sus dependencias a gtk, tengo la sensación que en la mayoria ade escritorios se usará ese navegador.

        1.    Fedoriano dijo

          Por no hablar de que QT puede adaptarse a los temas GTK y viceversa no ocurre. Los KDEros sólo disponemos de Qtcurve, que es un parche a medias y que sólo vale para GTK2. Por suerte viene Australis que parece pretender solventar a medias esto, pero con muchos temas que sólo traigan iconos y no fondo ni formas para las barras y los menú, con Qtcurve veremos como Firefox se va a ver como si lo estuvieramos usando en Windows 95.

          En cambio a los que usáis GTK no os debería de suponer un problema que Firefox usase QT.

          1.    elav dijo

            Este… Oxygen-Gtk funciona de perlas, para Gtk2 y Gtk3.

          2.    Fedoriano dijo

            Es decir, que Firefox me obliga a usar Oxygen si quiero que se vea bien…

          3.    pandev92 dijo

            ahí el problema, que solo se puede usar con un tema :D, si cambias el tema de qt, las gtk3 deberán seguir viéndose como oxygen gtk3, una cutrada

  3.   matizak dijo

    Yo hace medio año que no uso flash player, me he acostumbrado a vivir sin el. De igual manera existe gnash.

    1.    arrancaboinas dijo

      Digamos que flashplayer para ñulínux es un cagarro, por culpa de Adobe que no le sale del miembro hacerlo mejor; y gnash es un cagarro y medio, pero no se puede padir más a los desarrolladores, porque a los jefes de Adobe no les sale tampoco de los c…. liberar el código. Ojalá pronto, como ya he comentado, funcionen las alternativas; cuando sea así, yo voy a hacer un hoyo, meter simbólicamente a flashplayer en él, y cagarme dentro.

  4.   sieg84 dijo

    en openSUSE ofrecen en el repo packman el flash pepper para chromium.

  5.   comentarista dijo

    Tengo una pregunta ¿No sirve gnash para chromium?
    PD: No uso chromium, soy fiel a mozilla / firefox desde 2002 ó antes 😉

    1.    diazepan dijo

      No porque es un plugin NPAPI

  6.   Rainbow_fly dijo

    Wow ¿hay algun articulo de Shumway en esta web? la reviso seguido y hasta ahora nunca oí de el.. es algo bastante aliviador ya que vengo tirando de GNASH y HTML5 desde hace un bueeen rato xD

    1.    eliotime3000 dijo

      Y yo detesto gnash. Es un plugin realmente descuidado y consume muchísimo más recursos que el mismísimo Flash Player.

      En fin, es un alivio que Shumway estará listo para Firefox 29.

  7.   vidagnu dijo

    Es una desgracia pero hay bastantes Bancos que en sus paginas de banca personal y empresarial utilizan bastante flash para indicadores, algunas formularios, etc. Ojala esto los alerte y comienzen a mejorar sus sitios.

    En lo particular uso Firefox.

    Saludos,
    Oscar

  8.   al_SeveR dijo

    Lleve tiempo utilizando Pepper Flash en Chromium y sin probleme (Arch Linux). De todos modos, espero que Flash se vaya extinguiendo…

    Ah, por cierto, en Chromium no veo el logo del blog, mientras que en Firefox sí.

  9.   Luis dijo

    que bien, yo de todas formas siempre me bajo el flash player en .tar.gz y copio el libflashplayer.so a la carpeta de plugins del navegador ^_^ y que bueno que los usuarios del pinguino lo probaremos primero jejeje..

    1.    diazepan dijo

      ese es el plugin NPAPI. El único que va a funcionar ahora con Chromium es el libpepperflashplayer.so

      1.    eliotime3000 dijo

        Para los que odian el plugin de Pepper Flash que viene en Chrome para Windows, simplemente tendrán que agauntárselas. Además, si Shumway logra ser portado para Chromium, lo más probable es que también llegue a Opera Blink sin mayores complicaciones para evitar que Opera pague por distribuir el plugin de Flash en Pepper como lo hace Chrome.

  10.   eliotime3000 dijo

    Como vengo usando la rama nightly de Chromium en Windows, ya me parecía evidente el por qué diablos el reproductor de Youtube en flash me aparecía en negro y las páginas hechas a punta de flash player no me cargaban como deberían. En el resto de cosas, no tengo queja alguna excepto en el renderizado de las páginas, algo que ya se irá corrigiendo en la rama beta y estable de las comunity builds de Chromium (y Chrome).

    Al fin de al cabo, una excelente jugada de Google.

  11.   JesúsB. dijo

    Pues yo llevo usando chrome para ubuntu, desde hace una buena temporada, Chromiun, me daba unos problemas horrorosos con flash, además de que estaba estancando en flash 11.2, mientras que con chrome ahora estoy 12.xxxx.

    La verdad me la sopla que la nsa entre a mirrar que tengo dentro, el porno que hay es del sano, jajajajajaja.

    Ahora en serio, es una pena, pero tengo que recocer que flash me parece una cosa vieja y pesada y un nido de agujeros de seguridad para equipo.

    A ver si entre todos damos el salto a html5.

    Un saludo.

    1.    eliotime3000 dijo

      La MPAA ya se unió al W3C, por lo que eso es una buena noticia para Netflix y aquellos sites de streaming de pago que usan plugins como Silverlight (una lástima que Moonlight se haya muerto y Pipelight sólo funcione bien en Firefox y te obligue a usar Wine).

  12.   Garbage_Killer dijo

    OH! esperar a que lightspark deje de ser experimental.

    1.    Azureus dijo

      ¿Que tan bueno es lightspark? La verdad es que flashplayer me tiene harto de su gran consumo de recursos, quiero cambiarlo ahora que estoy en Arch. Saludos.

  13.   Eskeyu dijo

    Gracias

    **** Cómo instalar el plugin de Flash para el navegador web Chromium en Lubuntu 12.04 ****
    + Cerramos Chromium si está abierto
    + Vamos a get.adobe.com/es/flashplayer/
    + Descargamos la versión .tar.gz p.e. al escritorio
    + Extraemos el fichero libflashplayer.so p.e. en el mismo escritorio (lo demás no hace falta)
    + Lo copiamos
    + Ejecutamos gksu pcmanfm
    + Vamos a /usr/lib/chromium-browser/plugins
    + Pegamos ahí el fichero
    + Cerramos las ventanas abiertas
    + Eliminamos los archivos provisionales del escritorio
    ¡Hecho!

    Ya podemos abrir Chromium y ver vídeos, etc. que usen Flash.

    Fuente: http://bandaancha.eu/foros/como-instalar-plugin-flash-navegador-web-1702822

    1.    Uajety dijo

      Ahora Lubuntu (versión 14.04) viene con Firefox (bien hecho). Los pasos de arriba son válidos. Lo único a cambiar es la carpeta donde se pega libflashplayer.so . Es en /usr/lib/firefox-addons/plugins ( aunque también se puede en /home/usuario/.mozilla/firefox/numerosyletras.default/plugins ).

  14.   Azureus dijo

    Espero que las mejoras a shumway sean ya bastantes por estas fechas.

  15.   José dijo

    Para instalar el pepperflash del chrome en debian usen el siguiente comando:

    sudo apt-get install pepperflashplugin-nonfree chromium

  16.   arrancaboinas dijo

    Cuando por fin haya una alternativa completa al p… flash player de Adobe, muchos vamos a brindar.
    Esta m…. dura ya demasiado.

  17.   Paulo dijo

    Gracias gracias muchas gracias

  18.   Reve dijo

    espero que den buenas opciones de software libre :3

  19.   Pirurli dijo

    Pues ahora mismo me supone el dejar de usar el chromium.

    Saludos.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.